extends RigidBody2D


# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass

func explode():
	var bodiesAffected = $ExplosionArea.get_overlapping_bodies()
	var diceSize = 100
	var diceMinimum = 40
	
	for body in bodiesAffected:
		if body.is_in_group("BALL"):
			#body.changeToRigid()
			var diceRolled = randi()%diceSize
			
			if diceRolled >= diceMinimum:
				body.explode()
			else:
				body.knockedBack(self.position)
		

func _on_Area2D_body_entered(body):
	if body.is_in_group("BALL"):
		if !body.beingKnockedBack:
			explode()
			queue_free()
